Changeset 227 for ThirdParty/ASL


Ignore:
Timestamp:
Feb 27, 2007 12:26:21 PM (13 years ago)
Author:
andreasw
Message:

compile third party code only if not otherwise available

Location:
ThirdParty/ASL/trunk
Files:
4 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/ASL/trunk/Makefile.am

    r72 r227  
    1 # Copyright (C) 2003, 2006 International Business Machines and others.
     1# Copyright (C) 2003, 2007 International Business Machines and others.
    22# All Rights Reserved.
    33# This file is distributed under the Common Public License.
     
    1717libampl   = $(AMPLSOLVER_A)
    1818
    19 all-local: $(libampl) stdio1.h arith.h funcadd0.$(OBJEXT)
     19if SKIPMAKE
     20  alltargets =
     21else
     22  alltargets = $(libampl) stdio1.h arith.h funcadd0.$(OBJEXT)
     23endif
     24
     25all-local: $(alltargets)
    2026
    2127if MSVC_COMPILE
     
    7480
    7581# Files that are generated and should be cleaned with make distclean
    76 DISTCLEANFILES =
     82DISTCLEANFILES = $(MAKEOKFILE)
    7783
    7884include ../../BuildTools/Makemain.inc
  • ThirdParty/ASL/trunk/Makefile.in

    r91 r227  
    1515@SET_MAKE@
    1616
    17 # Copyright (C) 2003, 2006 International Business Machines and others.
     17# Copyright (C) 2003, 2007 International Business Machines and others.
    1818# All Rights Reserved.
    1919# This file is distributed under the Common Public License.
     
    8989AMPLSOLVER_A = @AMPLSOLVER_A@
    9090AMTAR = @AMTAR@
     91ASLLIB = @ASLLIB@
    9192ASLMAKEFILECMDS = @ASLMAKEFILECMDS@
    9293ASLMAKEFLAGS = @ASLMAKEFLAGS@
     94ASL_CPPFLAGS = @ASL_CPPFLAGS@
    9395AUTOCONF = @AUTOCONF@
    9496AUTOHEADER = @AUTOHEADER@
     
    101103CDEFS = @CDEFS@
    102104CFLAGS = @CFLAGS@
     105COIN_HAS_ASL_FALSE = @COIN_HAS_ASL_FALSE@
     106COIN_HAS_ASL_TRUE = @COIN_HAS_ASL_TRUE@
    103107CPPFLAGS = @CPPFLAGS@
    104108CYGPATH_W = @CYGPATH_W@
     
    129133MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
    130134MAKEINFO = @MAKEINFO@
     135MAKEOKFILE = @MAKEOKFILE@
    131136MPICC = @MPICC@
    132137MSVC_COMPILE_FALSE = @MSVC_COMPILE_FALSE@
     
    143148SET_MAKE = @SET_MAKE@
    144149SHELL = @SHELL@
     150SKIPMAKE_FALSE = @SKIPMAKE_FALSE@
     151SKIPMAKE_TRUE = @SKIPMAKE_TRUE@
    145152STRIP = @STRIP@
    146153VERSION = @VERSION@
     
    194201compdir = compdir
    195202libampl = $(AMPLSOLVER_A)
     203@SKIPMAKE_FALSE@alltargets = $(libampl) stdio1.h arith.h funcadd0.$(OBJEXT)
     204@SKIPMAKE_TRUE@alltargets =
    196205CLEANFILES = $(libampl) stdio1.h arith.h funcadd0.$(OBJEXT)
    197206
     
    201210
    202211# Files that are generated and should be cleaned with make distclean
    203 DISTCLEANFILES = $(am__append_2) $(VPATH_DISTCLEANFILES)
     212DISTCLEANFILES = $(MAKEOKFILE) $(am__append_2) $(VPATH_DISTCLEANFILES)
    204213all: all-am
    205214
     
    466475
    467476
    468 all-local: $(libampl) stdio1.h arith.h funcadd0.$(OBJEXT)
     477all-local: $(alltargets)
    469478
    470479@MSVC_COMPILE_TRUE@$(libampl):
  • ThirdParty/ASL/trunk/configure

    r211 r227  
    282282ac_unique_file="solvers/asl.h"
    283283ac_default_prefix=`pwd`
    284 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os EGREP LN_S CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE AMPLSOLVER_A MSVC_COMPILE_TRUE MSVC_COMPILE_FALSE ASLMAKEFLAGS ASLMAKEFILECMDS LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
     284ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os EGREP LN_S CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE ASLLIB ASL_CPPFLAGS COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE MAKEOKFILE SKIPMAKE_TRUE SKIPMAKE_FALSE AMPLSOLVER_A ASLMAKEFLAGS ASLMAKEFILECMDS MSVC_COMPILE_TRUE MSVC_COMPILE_FALSE LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
    285285ac_subst_files=''
    286286
     
    860860  --with-asl-verbosity specify the debug verbosity level for project ASL
    861861  --with-asl-checklevel specify the sanity check level for project ASL
     862  --with-asldir           specify path to AMPL solver directory (or BUILD for
     863                          compilation, or "no" for disabling AMPL)
    862864
    863865Some influential environment variables:
     
    38133815
    38143816
     3817coin_aslobjdir=../ThirdParty/ASL
     3818coin_aslsrcdir=$srcdir/$coin_aslobjdir
     3819
     3820# Determine the name of the ASL library
     3821case "$CXX" in
     3822  cl* | */cl* | CL* | */CL*)
     3823    ampllib=amplsolv.lib ;;
     3824  *)
     3825    ampllib=amplsolver.a ;;
     3826esac
     3827
     3828
     3829# Check whether --with-asldir or --without-asldir was given.
     3830if test "${with_asldir+set}" = set; then
     3831  withval="$with_asldir"
     3832  use_asldir=$withval
     3833else
     3834  use_asldir=
     3835fi;
     3836
     3837if test "$use_asldir" = BUILD; then
     3838  if test "$PACKAGE_NAME" != ThirdPartyASL; then
     3839    # If we are configuring ThirdParty/ASL, don't check
     3840    as_ac_File=`echo "ac_cv_file_$coin_aslobjdir/.MakeOk" | $as_tr_sh`
     3841echo "$as_me:$LINENO: checking for $coin_aslobjdir/.MakeOk" >&5
     3842echo $ECHO_N "checking for $coin_aslobjdir/.MakeOk... $ECHO_C" >&6
     3843if eval "test \"\${$as_ac_File+set}\" = set"; then
     3844  echo $ECHO_N "(cached) $ECHO_C" >&6
     3845else
     3846  test "$cross_compiling" = yes &&
     3847  { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
     3848echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
     3849   { (exit 1); exit 1; }; }
     3850if test -r "$coin_aslobjdir/.MakeOk"; then
     3851  eval "$as_ac_File=yes"
     3852else
     3853  eval "$as_ac_File=no"
     3854fi
     3855fi
     3856echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_File'}'`" >&5
     3857echo "${ECHO_T}`eval echo '${'$as_ac_File'}'`" >&6
     3858if test `eval echo '${'$as_ac_File'}'` = yes; then
     3859  :
     3860else
     3861  { { echo "$as_me:$LINENO: error: option \"BUILD\" specified for asldir, but directory is not configure (sources missing?)" >&5
     3862echo "$as_me: error: option \"BUILD\" specified for asldir, but directory is not configure (sources missing?)" >&2;}
     3863   { (exit 1); exit 1; }; }
     3864fi
     3865
     3866  fi
     3867elif test -z "$use_asldir"; then
     3868 # try to find sources - if not given don't compile
     3869  if test "$PACKAGE_NAME" != ThirdPartyASL; then
     3870    as_ac_File=`echo "ac_cv_file_$coin_aslobjdir/.MakeOk" | $as_tr_sh`
     3871echo "$as_me:$LINENO: checking for $coin_aslobjdir/.MakeOk" >&5
     3872echo $ECHO_N "checking for $coin_aslobjdir/.MakeOk... $ECHO_C" >&6
     3873if eval "test \"\${$as_ac_File+set}\" = set"; then
     3874  echo $ECHO_N "(cached) $ECHO_C" >&6
     3875else
     3876  test "$cross_compiling" = yes &&
     3877  { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
     3878echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
     3879   { (exit 1); exit 1; }; }
     3880if test -r "$coin_aslobjdir/.MakeOk"; then
     3881  eval "$as_ac_File=yes"
     3882else
     3883  eval "$as_ac_File=no"
     3884fi
     3885fi
     3886echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_File'}'`" >&5
     3887echo "${ECHO_T}`eval echo '${'$as_ac_File'}'`" >&6
     3888if test `eval echo '${'$as_ac_File'}'` = yes; then
     3889  use_asldir=BUILD
     3890else
     3891  use_asldir=no
     3892fi
     3893
     3894  else
     3895    use_asldir=no
     3896  fi
     3897elif test "$use_asldir" != "no"; then
     3898  as_ac_File=`echo "ac_cv_file_$use_asldir/$ampllib" | $as_tr_sh`
     3899echo "$as_me:$LINENO: checking for $use_asldir/$ampllib" >&5
     3900echo $ECHO_N "checking for $use_asldir/$ampllib... $ECHO_C" >&6
     3901if eval "test \"\${$as_ac_File+set}\" = set"; then
     3902  echo $ECHO_N "(cached) $ECHO_C" >&6
     3903else
     3904  test "$cross_compiling" = yes &&
     3905  { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
     3906echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
     3907   { (exit 1); exit 1; }; }
     3908if test -r "$use_asldir/$ampllib"; then
     3909  eval "$as_ac_File=yes"
     3910else
     3911  eval "$as_ac_File=no"
     3912fi
     3913fi
     3914echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_File'}'`" >&5
     3915echo "${ECHO_T}`eval echo '${'$as_ac_File'}'`" >&6
     3916if test `eval echo '${'$as_ac_File'}'` = yes; then
     3917  :
     3918else
     3919  { { echo "$as_me:$LINENO: error: ASL directory \"$use_asldir\" specified, but library missing" >&5
     3920echo "$as_me: error: ASL directory \"$use_asldir\" specified, but library missing" >&2;}
     3921   { (exit 1); exit 1; }; }
     3922fi
     3923
     3924  as_ac_File=`echo "ac_cv_file_$use_asldir/asl.h" | $as_tr_sh`
     3925echo "$as_me:$LINENO: checking for $use_asldir/asl.h" >&5
     3926echo $ECHO_N "checking for $use_asldir/asl.h... $ECHO_C" >&6
     3927if eval "test \"\${$as_ac_File+set}\" = set"; then
     3928  echo $ECHO_N "(cached) $ECHO_C" >&6
     3929else
     3930  test "$cross_compiling" = yes &&
     3931  { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
     3932echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
     3933   { (exit 1); exit 1; }; }
     3934if test -r "$use_asldir/asl.h"; then
     3935  eval "$as_ac_File=yes"
     3936else
     3937  eval "$as_ac_File=no"
     3938fi
     3939fi
     3940echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_File'}'`" >&5
     3941echo "${ECHO_T}`eval echo '${'$as_ac_File'}'`" >&6
     3942if test `eval echo '${'$as_ac_File'}'` = yes; then
     3943  :
     3944else
     3945  { { echo "$as_me:$LINENO: error: ASL directory \"$use_asldir\" specified, but header files are missing" >&5
     3946echo "$as_me: error: ASL directory \"$use_asldir\" specified, but header files are missing" >&2;}
     3947   { (exit 1); exit 1; }; }
     3948fi
     3949
     3950  use_asldir=`cd $use_asldir; pwd`
     3951  case $build in
     3952    *-cygwin*) use_asldir=`cygpath -w $use_asldir | sed -e sX\\\\\\\\X/Xg` ;;
     3953  esac
     3954fi
     3955
     3956# Variable containing ASL library (including full path)
     3957
     3958# Variable containing flags for including ASL header files
     3959
     3960
     3961if test "$use_asldir" = BUILD; then
     3962  coin_aslobjdir=`cd $coin_aslobjdir; pwd`
     3963  ASLLIB=`$CYGPATH_W $coin_aslobjdir/$ampllib | sed -e sX\\\\\\\\X/Xg`
     3964  coin_aslsrcdir=`cd $coin_aslsrcdir; pwd`
     3965  ASL_CPPFLAGS="-I"`$CYGPATH_W $coin_aslobjdir | sed -e sX\\\\\\\\X/Xg`" -I"`$CYGPATH_W $coin_aslsrcdir/solvers | sed -e sX\\\\\\\\X/Xg`
     3966elif test "$use_asldir" != no; then
     3967  ASLLIB=`$CYGPATH_W $use_asldir/$ampllib | sed -e sX\\\\\\\\X/Xg`
     3968  ASL_CPPFLAGS="-I"`$CYGPATH_W $use_asldir | sed -e sX\\\\\\\\X/Xg`
     3969fi
     3970
     3971if test "$use_asldir" != no; then
     3972  ac_ext=c
     3973ac_cpp='$CPP $CPPFLAGS'
     3974ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     3975ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     3976ac_compiler_gnu=$ac_cv_c_compiler_gnu
     3977
     3978  echo "$as_me:$LINENO: checking for dlopen in -ldl" >&5
     3979echo $ECHO_N "checking for dlopen in -ldl... $ECHO_C" >&6
     3980if test "${ac_cv_lib_dl_dlopen+set}" = set; then
     3981  echo $ECHO_N "(cached) $ECHO_C" >&6
     3982else
     3983  ac_check_lib_save_LIBS=$LIBS
     3984LIBS="-ldl  $LIBS"
     3985cat >conftest.$ac_ext <<_ACEOF
     3986/* confdefs.h.  */
     3987_ACEOF
     3988cat confdefs.h >>conftest.$ac_ext
     3989cat >>conftest.$ac_ext <<_ACEOF
     3990/* end confdefs.h.  */
     3991
     3992/* Override any gcc2 internal prototype to avoid an error.  */
     3993#ifdef __cplusplus
     3994extern "C"
     3995#endif
     3996/* We use char because int might match the return type of a gcc2
     3997   builtin and then its argument prototype would still apply.  */
     3998char dlopen ();
     3999int
     4000main ()
     4001{
     4002dlopen ();
     4003  ;
     4004  return 0;
     4005}
     4006_ACEOF
     4007rm -f conftest.$ac_objext conftest$ac_exeext
     4008if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4009  (eval $ac_link) 2>conftest.er1
     4010  ac_status=$?
     4011  grep -v '^ *+' conftest.er1 >conftest.err
     4012  rm -f conftest.er1
     4013  cat conftest.err >&5
     4014  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4015  (exit $ac_status); } &&
     4016         { ac_try='test -z "$ac_c_werror_flag"
     4017                         || test ! -s conftest.err'
     4018  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4019  (eval $ac_try) 2>&5
     4020  ac_status=$?
     4021  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4022  (exit $ac_status); }; } &&
     4023         { ac_try='test -s conftest$ac_exeext'
     4024  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4025  (eval $ac_try) 2>&5
     4026  ac_status=$?
     4027  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4028  (exit $ac_status); }; }; then
     4029  ac_cv_lib_dl_dlopen=yes
     4030else
     4031  echo "$as_me: failed program was:" >&5
     4032sed 's/^/| /' conftest.$ac_ext >&5
     4033
     4034ac_cv_lib_dl_dlopen=no
     4035fi
     4036rm -f conftest.err conftest.$ac_objext \
     4037      conftest$ac_exeext conftest.$ac_ext
     4038LIBS=$ac_check_lib_save_LIBS
     4039fi
     4040echo "$as_me:$LINENO: result: $ac_cv_lib_dl_dlopen" >&5
     4041echo "${ECHO_T}$ac_cv_lib_dl_dlopen" >&6
     4042if test $ac_cv_lib_dl_dlopen = yes; then
     4043  ASLLIB="$ASLLIB -ldl"
     4044fi
     4045
     4046  coin_has_asl=yes
     4047
     4048cat >>confdefs.h <<\_ACEOF
     4049#define COIN_HAS_ASL 1
     4050_ACEOF
     4051
     4052  ac_ext=c
     4053ac_cpp='$CPP $CPPFLAGS'
     4054ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     4055ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4056ac_compiler_gnu=$ac_cv_c_compiler_gnu
     4057
     4058else
     4059  coin_has_asl=no
     4060fi
     4061
     4062
     4063if test $coin_has_asl = yes; then
     4064  COIN_HAS_ASL_TRUE=
     4065  COIN_HAS_ASL_FALSE='#'
     4066else
     4067  COIN_HAS_ASL_TRUE='#'
     4068  COIN_HAS_ASL_FALSE=
     4069fi
     4070
     4071
     4072MAKEOKFILE=.MakeOk
     4073if test $coin_has_asl != no && test $use_asldir != BUILD; then
     4074  skip_further_test=yes
     4075  rm -f $MAKEOKFILE
     4076  { echo "$as_me:$LINENO: The ASL sources don't need to be compiled" >&5
     4077echo "$as_me: The ASL sources don't need to be compiled" >&6;}
     4078  MAKEOKFILE=
     4079else
     4080  touch $MAKEOKFILE
     4081fi
     4082
     4083
     4084
     4085if test -z "$MAKEOKFILE"; then
     4086  SKIPMAKE_TRUE=
     4087  SKIPMAKE_FALSE='#'
     4088else
     4089  SKIPMAKE_TRUE='#'
     4090  SKIPMAKE_FALSE=
     4091fi
     4092
     4093
    38154094#############################################################################
    38164095#                          AMPL SOLVER LIBRARY                              #
    38174096#############################################################################
    38184097
    3819 # Determine the name of the ASL library
    3820 
    3821 case "$CXX" in
    3822   cl* | */cl* | CL* | */CL*)
    3823     AMPLSOLVER_A=amplsolv.lib
    3824     msvc_compile=yes ;;
    3825   *)
    3826     AMPLSOLVER_A=amplsolver.a
    3827     msvc_compile=no ;;
    3828 esac
    3829 
    3830 
    3831 if test $msvc_compile = yes; then
     4098if test x$skip_further_test != xyes; then
     4099
     4100  # Determine the name of the ASL library
     4101
     4102  case "$CXX" in
     4103    cl* | */cl* | CL* | */CL*)
     4104      AMPLSOLVER_A=amplsolv.lib
     4105      msvc_compile=yes ;;
     4106    *)
     4107      AMPLSOLVER_A=amplsolver.a
     4108      msvc_compile=no ;;
     4109  esac
     4110
     4111  if test -z "$ASLMAKEFLAGS" ; then
     4112    asladdcflags=
     4113    case $build in
     4114      *-linux*)
     4115        asladdcflags="-DNON_STDIO"
     4116        case $CC in
     4117          pgcc* | */pgcc* | xlc* | */xlc* | blrts_xlc* | */blrts_xlc*)
     4118            asladdcflags="$asladdcflags -DNO_fpu_control";;
     4119        esac
     4120        ;;
     4121      *-cygwin*) # ToDo: If on Cygwin but not using -mno-cygwin, we should not define -DNo_Control87 -DNO_RUSAGE
     4122        asladdcflags="-DNON_STDIO -DNo_Control87 -DNO_RUSAGE"
     4123        ;;
     4124      *-mingw32)
     4125        asladdcflags="-DNON_STDIO -DNo_Control87 -DNO_RUSAGE"
     4126        ;;
     4127    esac
     4128
     4129# On BlueGene disable dynamic library loading
     4130    if test x"$enable_bg" = xyes; then
     4131      asladdcflags="$asladdcflags -DNO_FUNCADD"
     4132    fi
     4133
     4134# Do the following for now to make sure we are not interupting compilation
     4135# of ASL because of warning message:
     4136    bla=
     4137    for i in $CFLAGS; do
     4138      if test "$i" != "-Werror"; then
     4139        bla="$bla $i"
     4140      fi
     4141    done
     4142    ASLMAKEFLAGS="CFLAGS=\"$bla $asladdcflags\""
     4143
     4144#   Somehow, -qtune=auto makes ASL segfault on AIX compiler, so take them out
     4145    case $CC in
     4146      xlc* | */xlc* | mpxlc* | */mpxlc*)
     4147        ASLMAKEFLAGS=`echo $ASLMAKEFLAGS | sed -e 's/-qtune=auto//g' -e 's/-qarch=auto//g' -e 's/-qcache=auto//g' -e 's/-qhot//g' -e sed 's/-O3/-O/g'`
     4148        ;;
     4149      pgcc* | */pgcc*)
     4150        ASLMAKEFLAGS=`echo $ASLMAKEFLAGS | sed 's/-fast/-O1/g'`
     4151        ;;
     4152    esac
     4153
     4154    echo "$as_me:$LINENO: checking whether $am_make is the GNU make" >&5
     4155echo $ECHO_N "checking whether $am_make is the GNU make... $ECHO_C" >&6
     4156    rm -rf conftest.mak
     4157    ($am_make -v -f conftest.mak > conftest.grp) 2>&5
     4158    if $EGREP GNU conftest.grp >&5 ; then
     4159      echo "$as_me:$LINENO: result: yes" >&5
     4160echo "${ECHO_T}yes" >&6
     4161      ASLMAKEFLAGS="-j 1 $ASLMAKEFLAGS"
     4162    else
     4163      echo "$as_me:$LINENO: result: no" >&5
     4164echo "${ECHO_T}no" >&6
     4165    fi
     4166    rm -f conftest.mak conftest.grp
     4167  fi
     4168
     4169  if test x"$AR" = x; then
     4170    AR=ar
     4171  fi
     4172
     4173  ASLMAKEFILECMDS="sed -e 's%ar \$\$(ARFLAGS)%$AR \$\$(ARFLAGS)%' makefile.u | sed -e 's%ar ruv%$AR ruv%' "
     4174  if test "$EXEEXT" = ".exe"; then
     4175    ASLMAKEFILECMDS="$ASLMAKEFILECMDS | sed 's/a.out/a.exe/'"
     4176  fi
     4177  case $build in
     4178    *-cygwin*)
     4179      ASLMAKEFILECMDS="$ASLMAKEFILECMDS | sed 's%s/System_details/\`uname -sr\`/%s|System_details|\`uname -sr\`|%'" ;;
     4180  esac
     4181  ASLMAKEFILECMDS="$ASLMAKEFILECMDS > makefile"
     4182
     4183
     4184
     4185
     4186fi
     4187
     4188
     4189
     4190if test x$msvc_compile = xyes; then
    38324191  MSVC_COMPILE_TRUE=
    38334192  MSVC_COMPILE_FALSE='#'
     
    38384197
    38394198
    3840 if test -z "$ASLMAKEFLAGS" ; then
    3841   asladdcflags=
    3842   case $build in
    3843     *-linux*)
    3844       asladdcflags="-DNON_STDIO"
    3845       case $CC in
    3846         pgcc* | */pgcc* | xlc* | */xlc* | blrts_xlc* | */blrts_xlc*)
    3847           asladdcflags="$asladdcflags -DNO_fpu_control";;
    3848       esac
    3849       ;;
    3850     *-cygwin*) # ToDo: If on Cygwin but not using -mno-cygwin, we should not define -DNo_Control87 -DNO_RUSAGE
    3851       asladdcflags="-DNON_STDIO -DNo_Control87 -DNO_RUSAGE"
    3852       ;;
    3853     *-mingw32)
    3854       asladdcflags="-DNON_STDIO -DNo_Control87 -DNO_RUSAGE"
    3855       ;;
     4199                    ac_config_files="$ac_config_files Makefile compile_MS_ASL"
     4200
     4201
     4202
     4203if test x$coin_skip_ac_output != xyes; then
     4204
     4205  FADDLIBS="$ADDLIBS"
     4206  if test x"$coin_need_flibs" = xyes; then
     4207    ADDLIBS="$ADDLIBS $FLIBS"
     4208  fi
     4209
     4210  # library extension
     4211
     4212  case "$CC" in
     4213    cl* | */cl* | CL* | */CL*)
     4214         LIBEXT=lib ;;
     4215      *) LIBEXT=a ;;
    38564216  esac
    38574217
    3858 # On BlueGene disable dynamic library loading
    3859   if test x"$enable_bg" = xyes; then
    3860     asladdcflags="$asladdcflags -DNO_FUNCADD"
    3861   fi
    3862 
    3863 # Do the following for now to make sure we are not interupting compilation
    3864 # of ASL because of warning message:
    3865   bla=
    3866   for i in $CFLAGS; do
    3867     if test "$i" != "-Werror"; then
    3868       bla="$bla $i"
    3869     fi
    3870   done
    3871   ASLMAKEFLAGS="CFLAGS=\"$bla $asladdcflags\""
    3872 
    3873 #   Somehow, -qtune=auto makes ASL segfault on AIX compiler, so take them out
    3874   case $CC in
    3875     xlc* | */xlc* | mpxlc* | */mpxlc*)
    3876       ASLMAKEFLAGS=`echo $ASLMAKEFLAGS | sed -e 's/-qtune=auto//g' -e 's/-qarch=auto//g' -e 's/-qcache=auto//g' -e 's/-qhot//g' -e sed 's/-O3/-O/g'`
    3877       ;;
    3878     pgcc* | */pgcc*)
    3879       ASLMAKEFLAGS=`echo $ASLMAKEFLAGS | sed 's/-fast/-O1/g'`
    3880       ;;
    3881   esac
    3882 
    3883   echo "$as_me:$LINENO: checking whether $am_make is the GNU make" >&5
    3884 echo $ECHO_N "checking whether $am_make is the GNU make... $ECHO_C" >&6
    3885   rm -rf conftest.mak
    3886   ($am_make -v -f conftest.mak > conftest.grp) 2>&5
    3887   if $EGREP GNU conftest.grp >&5 ; then
    3888     echo "$as_me:$LINENO: result: yes" >&5
    3889 echo "${ECHO_T}yes" >&6
    3890     ASLMAKEFLAGS="-j 1 $ASLMAKEFLAGS"
    3891   else
    3892     echo "$as_me:$LINENO: result: no" >&5
    3893 echo "${ECHO_T}no" >&6
    3894   fi
    3895   rm -f conftest.mak conftest.grp
    3896 fi
    3897 
    3898 if test x"$AR" = x; then
    3899   AR=ar
    3900 fi
    3901 
    3902 ASLMAKEFILECMDS="sed -e 's%ar \$\$(ARFLAGS)%$AR \$\$(ARFLAGS)%' makefile.u | sed -e 's%ar ruv%$AR ruv%' "
    3903 if test "$EXEEXT" = ".exe"; then
    3904   ASLMAKEFILECMDS="$ASLMAKEFILECMDS | sed 's/a.out/a.exe/'"
    3905 fi
    3906 case $build in
    3907   *-cygwin*)
    3908     ASLMAKEFILECMDS="$ASLMAKEFILECMDS | sed 's%s/System_details/\`uname -sr\`/%s|System_details|\`uname -sr\`|%'" ;;
    3909 esac
    3910 ASLMAKEFILECMDS="$ASLMAKEFILECMDS > makefile"
    3911 
    3912 
    3913 
    3914 
    3915                     ac_config_files="$ac_config_files Makefile compile_MS_ASL"
    3916 
    3917 
    3918 
    3919 FADDLIBS="$ADDLIBS"
    3920 if test x"$coin_need_flibs" = xyes; then
    3921   ADDLIBS="$ADDLIBS $FLIBS"
    3922 fi
    3923 
    3924 # library extension
    3925 
    3926 case "$CC" in
    3927   cl* | */cl* | CL* | */CL*)
    3928        LIBEXT=lib ;;
    3929     *) LIBEXT=a ;;
    3930 esac
    3931 
    3932 # Define VPATH_DISTCLEANFILES to be everything that needs to be
    3933 # cleaned for distclean in a vpath configuration
    3934 
    3935 VPATH_DISTCLEANFILES="$coin_vpath_link_files"
    3936 
    3937 cat >confcache <<\_ACEOF
     4218  # Define VPATH_DISTCLEANFILES to be everything that needs to be
     4219  # cleaned for distclean in a vpath configuration
     4220
     4221  VPATH_DISTCLEANFILES="$coin_vpath_link_files"
     4222
     4223  # Take out subdirectories if their configuration concluded that they
     4224  # don't need to be compiled
     4225  if test x"$coin_ac_skip_subdirs" != x; then
     4226    new_subdirs=
     4227    for i in $subdirs; do
     4228      skipme=no
     4229      for j in $coin_ac_skip_subdirs; do
     4230        if test $i = $j; then
     4231          skipme=yes;
     4232        fi
     4233      done
     4234      if test $skipme = no; then
     4235        new_subdirs="$new_subdirs $i"
     4236      fi
     4237    done
     4238    subdirs="$new_subdirs"
     4239  fi
     4240
     4241  cat >confcache <<\_ACEOF
    39384242# This file is a shell script that caches the results of configure
    39394243# tests run on this system so they can be shared between configure
     
    40894393Usually this means the macro was only invoked conditionally." >&5
    40904394echo "$as_me: error: conditional \"HAVE_EXTERNALS\" was never defined.
     4395Usually this means the macro was only invoked conditionally." >&2;}
     4396   { (exit 1); exit 1; }; }
     4397fi
     4398if test -z "${COIN_HAS_ASL_TRUE}" && test -z "${COIN_HAS_ASL_FALSE}"; then
     4399  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_ASL\" was never defined.
     4400Usually this means the macro was only invoked conditionally." >&5
     4401echo "$as_me: error: conditional \"COIN_HAS_ASL\" was never defined.
     4402Usually this means the macro was only invoked conditionally." >&2;}
     4403   { (exit 1); exit 1; }; }
     4404fi
     4405if test -z "${SKIPMAKE_TRUE}" && test -z "${SKIPMAKE_FALSE}"; then
     4406  { { echo "$as_me:$LINENO: error: conditional \"SKIPMAKE\" was never defined.
     4407Usually this means the macro was only invoked conditionally." >&5
     4408echo "$as_me: error: conditional \"SKIPMAKE\" was never defined.
    40914409Usually this means the macro was only invoked conditionally." >&2;}
    40924410   { (exit 1); exit 1; }; }
     
    46935011s,@HAVE_EXTERNALS_TRUE@,$HAVE_EXTERNALS_TRUE,;t t
    46945012s,@HAVE_EXTERNALS_FALSE@,$HAVE_EXTERNALS_FALSE,;t t
     5013s,@ASLLIB@,$ASLLIB,;t t
     5014s,@ASL_CPPFLAGS@,$ASL_CPPFLAGS,;t t
     5015s,@COIN_HAS_ASL_TRUE@,$COIN_HAS_ASL_TRUE,;t t
     5016s,@COIN_HAS_ASL_FALSE@,$COIN_HAS_ASL_FALSE,;t t
     5017s,@MAKEOKFILE@,$MAKEOKFILE,;t t
     5018s,@SKIPMAKE_TRUE@,$SKIPMAKE_TRUE,;t t
     5019s,@SKIPMAKE_FALSE@,$SKIPMAKE_FALSE,;t t
    46955020s,@AMPLSOLVER_A@,$AMPLSOLVER_A,;t t
     5021s,@ASLMAKEFLAGS@,$ASLMAKEFLAGS,;t t
     5022s,@ASLMAKEFILECMDS@,$ASLMAKEFILECMDS,;t t
    46965023s,@MSVC_COMPILE_TRUE@,$MSVC_COMPILE_TRUE,;t t
    46975024s,@MSVC_COMPILE_FALSE@,$MSVC_COMPILE_FALSE,;t t
    4698 s,@ASLMAKEFLAGS@,$ASLMAKEFLAGS,;t t
    4699 s,@ASLMAKEFILECMDS@,$ASLMAKEFILECMDS,;t t
    47005025s,@LIBEXT@,$LIBEXT,;t t
    47015026s,@VPATH_DISTCLEANFILES@,$VPATH_DISTCLEANFILES,;t t
     
    51735498
    51745499
    5175 if test x"$coin_vpath_link_files" = x; then : ; else
    5176   lnkcmd=
    5177   if test "$enable_doscompile" = yes; then
    5178     lnkcmd=cp
    5179   fi
    5180   case "$CC" in
    5181     cl* | */cl* | CL* | */CL*)
    5182       lnkcmd=cp ;;
    5183   esac
    5184   if test "$lnkcmd" = cp; then
    5185     { echo "$as_me:$LINENO: Copying data files for VPATH configuration" >&5
     5500  if test x"$coin_vpath_link_files" = x; then : ; else
     5501    lnkcmd=
     5502    if test "$enable_doscompile" = yes; then
     5503      lnkcmd=cp
     5504    fi
     5505    case "$CC" in
     5506      cl* | */cl* | CL* | */CL*)
     5507        lnkcmd=cp ;;
     5508    esac
     5509    if test "$lnkcmd" = cp; then
     5510      { echo "$as_me:$LINENO: Copying data files for VPATH configuration" >&5
    51865511echo "$as_me: Copying data files for VPATH configuration" >&6;}
    5187   else
    5188     echo "$as_me:$LINENO: checking whether ln -s works" >&5
     5512    else
     5513      echo "$as_me:$LINENO: checking whether ln -s works" >&5
    51895514echo $ECHO_N "checking whether ln -s works... $ECHO_C" >&6
    51905515LN_S=$as_ln_s
     
    51975522fi
    51985523
    5199     { echo "$as_me:$LINENO: Creating VPATH links for data files" >&5
     5524      { echo "$as_me:$LINENO: Creating VPATH links for data files" >&5
    52005525echo "$as_me: Creating VPATH links for data files" >&6;}
    5201     lnkcmd="$LN_S"
    5202   fi
    5203   for file in $coin_vpath_link_files; do
    5204     dir=`(dirname "./$file") 2>/dev/null ||
     5526      lnkcmd="$LN_S"
     5527    fi
     5528    for file in $coin_vpath_link_files; do
     5529      dir=`(dirname "./$file") 2>/dev/null ||
    52055530$as_expr X"./$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
    52065531         X"./$file" : 'X\(//\)[^/]' \| \
     
    52145539          /^X\(\/\).*/{ s//\1/; q; }
    52155540          s/.*/./; q'`
    5216     if test -d $dir; then : ; else
    5217       { if $as_mkdir_p; then
     5541      if test -d $dir; then : ; else
     5542        { if $as_mkdir_p; then
    52185543    mkdir -p $dir
    52195544  else
     
    52405565   { (exit 1); exit 1; }; }; }
    52415566
    5242     fi
    5243     rm -f $file
    5244     $lnkcmd $abs_source_dir/$file $file
    5245   done
    5246 fi
    5247 
    5248 if test x$coin_projectdir = xyes; then
    5249   { echo "$as_me:$LINENO: Configuration of $PACKAGE_NAME successful" >&5
     5567      fi
     5568      rm -f $file
     5569      $lnkcmd $abs_source_dir/$file $file
     5570    done
     5571  fi
     5572
     5573  if test x$coin_projectdir = xyes; then
     5574    { echo "$as_me:$LINENO: Configuration of $PACKAGE_NAME successful" >&5
    52505575echo "$as_me: Configuration of $PACKAGE_NAME successful" >&6;}
    5251 else
    5252   { echo "$as_me:$LINENO: Main configuration of $PACKAGE_NAME successful" >&5
     5576  else
     5577    { echo "$as_me:$LINENO: Main configuration of $PACKAGE_NAME successful" >&5
    52535578echo "$as_me: Main configuration of $PACKAGE_NAME successful" >&6;}
    5254 fi
     5579  fi
     5580else
     5581  { echo "$as_me:$LINENO: No configuration of $PACKAGE_NAME necessary" >&5
     5582echo "$as_me: No configuration of $PACKAGE_NAME necessary" >&6;}
     5583fi
     5584
    52555585
    52565586
  • ThirdParty/ASL/trunk/configure.ac

    r204 r227  
    5454AC_COIN_INIT_AUTOMAKE
    5555
     56AC_COIN_HAS_ASL
     57MAKEOKFILE=.MakeOk
     58if test $coin_has_asl != no && test $use_asldir != BUILD; then
     59  skip_further_test=yes
     60  rm -f $MAKEOKFILE
     61  AC_MSG_NOTICE([The ASL sources don't need to be compiled])
     62  MAKEOKFILE=
     63else
     64  touch $MAKEOKFILE
     65fi
     66AC_SUBST(MAKEOKFILE)
     67AM_CONDITIONAL(SKIPMAKE, test -z "$MAKEOKFILE")
     68
    5669#############################################################################
    5770#                          AMPL SOLVER LIBRARY                              #
    5871#############################################################################
    5972
    60 # Determine the name of the ASL library
    61 AC_SUBST(AMPLSOLVER_A)
    62 case "$CXX" in
    63   cl* | */cl* | CL* | */CL*)
    64     AMPLSOLVER_A=amplsolv.lib
    65     msvc_compile=yes ;;
    66   *)
    67     AMPLSOLVER_A=amplsolver.a
    68     msvc_compile=no ;;
    69 esac
    70 AM_CONDITIONAL(MSVC_COMPILE, test $msvc_compile = yes)
     73if test x$skip_further_test != xyes; then
    7174
    72 if test -z "$ASLMAKEFLAGS" ; then
    73   asladdcflags=
    74   case $build in
    75     *-linux*)
    76       asladdcflags="-DNON_STDIO"
    77       case $CC in
    78         pgcc* | */pgcc* | xlc* | */xlc* | blrts_xlc* | */blrts_xlc*)
    79           asladdcflags="$asladdcflags -DNO_fpu_control";;
    80       esac
    81       ;;
    82     *-cygwin*) # ToDo: If on Cygwin but not using -mno-cygwin, we should not define -DNo_Control87 -DNO_RUSAGE
    83       asladdcflags="-DNON_STDIO -DNo_Control87 -DNO_RUSAGE"
    84       ;;
    85     *-mingw32)
    86       asladdcflags="-DNON_STDIO -DNo_Control87 -DNO_RUSAGE"
    87       ;;
     75  # Determine the name of the ASL library
     76  AC_SUBST(AMPLSOLVER_A)
     77  case "$CXX" in
     78    cl* | */cl* | CL* | */CL*)
     79      AMPLSOLVER_A=amplsolv.lib
     80      msvc_compile=yes ;;
     81    *)
     82      AMPLSOLVER_A=amplsolver.a
     83      msvc_compile=no ;;
    8884  esac
    8985
     86  if test -z "$ASLMAKEFLAGS" ; then
     87    asladdcflags=
     88    case $build in
     89      *-linux*)
     90        asladdcflags="-DNON_STDIO"
     91        case $CC in
     92          pgcc* | */pgcc* | xlc* | */xlc* | blrts_xlc* | */blrts_xlc*)
     93            asladdcflags="$asladdcflags -DNO_fpu_control";;
     94        esac
     95        ;;
     96      *-cygwin*) # ToDo: If on Cygwin but not using -mno-cygwin, we should not define -DNo_Control87 -DNO_RUSAGE
     97        asladdcflags="-DNON_STDIO -DNo_Control87 -DNO_RUSAGE"
     98        ;;
     99      *-mingw32)
     100        asladdcflags="-DNON_STDIO -DNo_Control87 -DNO_RUSAGE"
     101        ;;
     102    esac
     103
    90104# On BlueGene disable dynamic library loading
    91   if test x"$enable_bg" = xyes; then
    92     asladdcflags="$asladdcflags -DNO_FUNCADD"
    93   fi
     105    if test x"$enable_bg" = xyes; then
     106      asladdcflags="$asladdcflags -DNO_FUNCADD"
     107    fi
    94108
    95109# Do the following for now to make sure we are not interupting compilation
    96110# of ASL because of warning message:
    97   bla=
    98   for i in $CFLAGS; do
    99     if test "$i" != "-Werror"; then
    100       bla="$bla $i"
    101     fi
    102   done
    103   ASLMAKEFLAGS="CFLAGS=\"$bla $asladdcflags\""
     111    bla=
     112    for i in $CFLAGS; do
     113      if test "$i" != "-Werror"; then
     114        bla="$bla $i"
     115      fi
     116    done
     117    ASLMAKEFLAGS="CFLAGS=\"$bla $asladdcflags\""
    104118
    105119#   Somehow, -qtune=auto makes ASL segfault on AIX compiler, so take them out
    106   case $CC in
    107     xlc* | */xlc* | mpxlc* | */mpxlc*)
    108       ASLMAKEFLAGS=`echo $ASLMAKEFLAGS | sed -e 's/-qtune=auto//g' -e 's/-qarch=auto//g' -e 's/-qcache=auto//g' -e 's/-qhot//g' -e sed 's/-O3/-O/g'`
    109       ;;
    110     pgcc* | */pgcc*)
    111       ASLMAKEFLAGS=`echo $ASLMAKEFLAGS | sed 's/-fast/-O1/g'`
    112       ;;
     120    case $CC in
     121      xlc* | */xlc* | mpxlc* | */mpxlc*)
     122        ASLMAKEFLAGS=`echo $ASLMAKEFLAGS | sed -e 's/-qtune=auto//g' -e 's/-qarch=auto//g' -e 's/-qcache=auto//g' -e 's/-qhot//g' -e sed 's/-O3/-O/g'`
     123        ;;
     124      pgcc* | */pgcc*)
     125        ASLMAKEFLAGS=`echo $ASLMAKEFLAGS | sed 's/-fast/-O1/g'`
     126        ;;
     127    esac
     128
     129    AC_MSG_CHECKING([whether $am_make is the GNU make])
     130    rm -rf conftest.mak
     131    ($am_make -v -f conftest.mak > conftest.grp) 2>&5
     132    if $EGREP GNU conftest.grp >&5 ; then
     133      AC_MSG_RESULT([yes])
     134      ASLMAKEFLAGS="-j 1 $ASLMAKEFLAGS"
     135    else
     136      AC_MSG_RESULT([no])
     137    fi
     138    rm -f conftest.mak conftest.grp
     139  fi
     140
     141  if test x"$AR" = x; then
     142    AR=ar
     143  fi
     144
     145  ASLMAKEFILECMDS="sed -e 's%ar \$\$(ARFLAGS)%$AR \$\$(ARFLAGS)%' makefile.u | sed -e 's%ar ruv%$AR ruv%' "
     146  if test "$EXEEXT" = ".exe"; then
     147    ASLMAKEFILECMDS="$ASLMAKEFILECMDS | sed 's/a.out/a.exe/'"
     148  fi
     149  case $build in
     150    *-cygwin*)
     151      ASLMAKEFILECMDS="$ASLMAKEFILECMDS | sed 's%s/System_details/\`uname -sr\`/%s|System_details|\`uname -sr\`|%'" ;;
    113152  esac
     153  ASLMAKEFILECMDS="$ASLMAKEFILECMDS > makefile"
    114154
    115   AC_MSG_CHECKING([whether $am_make is the GNU make])
    116   rm -rf conftest.mak
    117   ($am_make -v -f conftest.mak > conftest.grp) 2>&5
    118   if $EGREP GNU conftest.grp >&5 ; then
    119     AC_MSG_RESULT([yes])
    120     ASLMAKEFLAGS="-j 1 $ASLMAKEFLAGS"
    121   else
    122     AC_MSG_RESULT([no])
    123   fi
    124   rm -f conftest.mak conftest.grp
     155  AC_ARG_VAR(ASLMAKEFLAGS,[Compilation flags necessary for compiling the AMPL solver library])
     156  AC_SUBST(ASLMAKEFILECMDS)
     157
    125158fi
    126159
    127 if test x"$AR" = x; then
    128   AR=ar
    129 fi
    130 
    131 ASLMAKEFILECMDS="sed -e 's%ar \$\$(ARFLAGS)%$AR \$\$(ARFLAGS)%' makefile.u | sed -e 's%ar ruv%$AR ruv%' "
    132 if test "$EXEEXT" = ".exe"; then
    133   ASLMAKEFILECMDS="$ASLMAKEFILECMDS | sed 's/a.out/a.exe/'"
    134 fi
    135 case $build in
    136   *-cygwin*)
    137     ASLMAKEFILECMDS="$ASLMAKEFILECMDS | sed 's%s/System_details/\`uname -sr\`/%s|System_details|\`uname -sr\`|%'" ;;
    138 esac
    139 ASLMAKEFILECMDS="$ASLMAKEFILECMDS > makefile"
    140 
    141 AC_ARG_VAR(ASLMAKEFLAGS,[Compilation flags necessary for compiling the AMPL solver library])
    142 AC_SUBST(ASLMAKEFILECMDS)
     160AM_CONDITIONAL(MSVC_COMPILE, test x$msvc_compile = xyes)
    143161
    144162AC_CONFIG_FILES([Makefile compile_MS_ASL])
Note: See TracChangeset for help on using the changeset viewer.